> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/tickets/reference/endpoints/get-category-by-id.md).

# Get Category By Id

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

#### Request

```
GET /categories/{categoryId}
```

#### Query Parameters

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="100">Required</th><th>Comments</th></tr></thead><tbody><tr><td>categoryId</td><td>integer</td><td>yes</td><td>Id of category you want to receive</td></tr></tbody></table>

#### Response

```json
{
    "data": {
        "children": [
            {
                "children": [],
                "autoArchive": false,
                "canBeChosen": true,
                "isHidden": false,
                "isMuted": false,
                "parentId": 35611,
                "id": 35795,
                "name": "ACME Corp"
            },
            {
                "children": [],
                "autoArchive": false,
                "canBeChosen": true,
                "isHidden": false,
                "isMuted": false,
                "parentId": 35611,
                "id": 35797,
                "name": "Dunder Mifflin Paper Co"
            },
            {
                "children": [],
                "autoArchive": false,
                "canBeChosen": true,
                "isHidden": false,
                "isMuted": false,
                "parentId": 35611,
                "id": 35796,
                "name": "Pawtucket Brewery"
            }
        ],
        "autoArchive": false,
        "canBeChosen": true,
        "isHidden": false,
        "isMuted": false,
        "parentId": null,
        "id": 35611,
        "name": "Customers"
    },
    "errorCode": -1,
    "errorText": null
}
```

`Data` field has type of [Category ](/docs/apis/tickets/reference/objects/category.md)object.
